# SendScilabJob

Send a Scilab task from a C/C++ code (call_scilab)

    int SendScilabJob(char *job);

## Description

This fonction is provided in call_scilab. This function send a task which will be proccessed by the Scilab engine.

## Arguments

job

  a standard C char* containing the Scilab instructions

returns

  0 is the operation is successfull.

  -1 if Call Scilab has not been able to write the job into Scilab.

  -2 or -3 if Call Scilab has not been able to read the error code from Scilab.

  -4 if Call Scilab has not been able to allocate the job.

## Examples

    // A simple SendScilabJob example

    if (SendScilabJob("disp('unfinished quote)")!=0){ // This will fail
     printf("An error occurred\n");
    }
    SendScilabJob("myMatrix=['sample','for the help']");

## See Also

- Call_Scilab
- api Scilab
- Compile and run with call_scilab
- SendScilabJob
- Double Management
- Boolean Management
- Complex Management
- String Management